const { defineConfig } = require('@vue/cli-service')
module.exports = defineConfig({
    transpileDependencies: true,
    publicPath: './',

    // 代理服务，处理接口跨域请求
    devServer: {
        port: '8080',//
        proxy: {
            '/api': {
                target: 'http://2.142.215.98:8010',//生产环境
                //target: 'http://192.168.139.82:8084',//开发环境
                changeOrigin: true,
                pathRewrite: {
                    '^/api': '/'
                }
            }
        }
    },


})